PHP is among the most widely used general-purpose server-side programming languages. It’s very popular because it is free software, which you can use to develop responsive websites such as community web portals, online stores or online teaching sites instead of static HTML-based websites. A PHP module should be enabled on the server where a PHP website is hosted so that its PHP code can be ‘translated’. Because there are no license fees for such a module and the language offers innumerable options for the web applications that you build, there are hundreds of millions of PHP-driven sites. What’s more, there’re an immense number of open-source PHP-based scripts, which you can use for your sites without needing to possess any coding knowledge. As there are a handful of versions of PHP, you ought to check if the very same version that you used whilst building your website is activated on the web server too.
PHP 4, PHP 5 and PHP 7 Support in Web Hosting
With our Linux web hosting, you will be able to select which PHP version will be active for your shared hosting account, since several versions are enabled on our servers. With just one click, you will be able to switch between PHP 4, 5, 7 and whenever a new version is released in the future, we will include it in the Hepsia hosting Control Panel without removing the previous ones. In this way, you’ll be able to host all the websites that you’ve built through the years. In contrast with a lot of other hosting providers, we won’t compel you to update such websites, as a script may be out of date, but this does not automatically mean that it’s vulnerable since you may have carried out modifications to its source code to patch safety gaps. For the sake of your convenience, you’ll even be able to select a different PHP version for each website hosted in your shared web hosting account.
PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Hosting
Even if your websites were created with an earlier version of PHP, you will be able to host them in a semi-dedicated server account from us, as we support multiple versions running simultaneously on our servers and each one of them can be enabled for your account with just one click of the mouse through our custom Hepsia Control Panel. Aside from the most recent PHP 7, we also support 5.2, 5.3 and the older PHP 4. The latter has already been abandoned by the majority of hosting vendors, but we hold that you shouldn’t be compelled to modify a site that took several years to create, as older programming language syntax does not inevitably suggest security breaches. On the contrary, an adequately maintained website using PHP 4 can be more secure than a wrongly maintained one using PHP 5. For the sake of your convenience, we’ll also offer you the possibility to specify a different PHP version for each website within the account.